Subject: bug#62216: Narrowing down the issue

From: Jonathon McKitrick <[email-masked]>
Date: Sun, 23 Jul 2023 13:58:34 +0000

After some exhaustive git bisecting and init file tweaking, I've narrowed it down to a surprising culprit: desktop mode

I've been unable to reproduce the issue in my other projects, but I'm still working on it.

The commit that introduces the bug is b950b46f514989442fdd9937a0e96d53a3affa88.

I don't think it's a bug per-se, simply a problematic interaction with desktop mode.
I've been able to build a non-graphic version from source that reverts this commit and does not have the issue.
I'm currently working on a local homebrew tap that will build a macos version, applying the same patch to my local build.

Here's the latest:

Emacs 30 HEAD on MacOS, built weekly, sometimes nightly.

I open a large clojure project to a file with many changes.
Then I checkout another branch, either in a terminal or using magit.
When the file I'm viewing reverts, there seems to be a large chunk of code that was erroneously inserted at the end of the buffer.
This code is part of the diff, appended in the wrong place.

I don't have any other projects that present the same issue so far.

Jonathon McKitrick
--
'My other computer is your Linux box.'